
.subckt Mem_Memory A2 A3 A7 B7 B8 C2 C3 C7 C8 D7 E3 F2 F3 F7 F8 G2 G3 H3 H7 H8 J7 K7 N2 N3 P2 P3 P7 P8 R2 R8 A1 B2 A9 B1

*[MCP Begin]
*[MCP Ver] 1.2
*[MCP Source] Cadence MCP Editor
*
*[REM]***********************************************************************
*[Connection] to_PCB  to_PCB
*[Connection Type] 
*[Power Nets]
*A1	A1	VDDQ
*B2	B2	VDD
*[Ground Nets]
*A9	A9	VSS
*B1	B1	VSSQ
*[Signal Nets]
*A2	A2	DQ13
*A3	A3	DQ15
*A7	A7	DQ12
*B7	B7	UDQS#
*C7	C7	UDQS
*B8	B8	DQ14
*C2	C2	DQ11
*C3	C3	DQ9
*C8	C8	DQ10
*D7	D7	DQ8
*E3	E3	DQ0
*F2	F2	DQ2
*F3	F3	LDQS
*G3	G3	LDQS#
*F7	F7	DQ1
*F8	F8	DQ3
*G2	G2	DQ6
*H3	H3	DQ4
*H7	H7	DQ7
*H8	H8	DQ5
*J7	J7	CK
*K7	K7	CK#
*N2	N2	A3
*N3	N3	A0
*P2	P2	A5
*P3	P3	A2
*P7	P7	A1
*P8	P8	A4
*R2	R2	A7
*R8	R8	A6
*
*[MCP End]
.ends Mem_Memory


.subckt Mem_Memory_OnDie_RC
+ in_A2     in_A3     in_A7     in_B7     in_B8     in_C2     in_C3     in_C7     in_C8
+ in_D7     in_E3     in_F2     in_F3     in_F7     in_F8     in_G2     in_G3     in_H3
+ in_H7     in_H8     in_J7     in_K7     in_N2     in_N3     in_P2     in_P3     in_P7
+ in_P8     in_R2     in_R8     in_A1     in_B2     in_A9     in_B1     out_A2     out_A3
+ out_A7     out_B7     out_B8     out_C2     out_C3     out_C7     out_C8     out_D7
+ out_E3     out_F2     out_F3     out_F7     out_F8     out_G2     out_G3     out_H3
+ out_H7     out_H8     out_J7     out_K7     out_N2     out_N3     out_P2     out_P3
+ out_P7     out_P8     out_R2     out_R8     out_A1     out_B2     out_A9     out_B1
* User-specified OnDie parasitics parameters
+ rshort = 0.001		$ Short Resistor
+ rpds = 0.3		$ PDS Resistor
+ cpds = 0.5n		$ PDS Capacitor

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the OnDie parasitics based on the user-specified OnDie parameters.
* Editing of sub-circuit definition is NOT recommended.

** Signals
* For A2
r1_A2 in_A2 out_A2 'rshort'

* For A3
r1_A3 in_A3 out_A3 'rshort'

* For A7
r1_A7 in_A7 out_A7 'rshort'

* For B7
r1_B7 in_B7 out_B7 'rshort'

* For B8
r1_B8 in_B8 out_B8 'rshort'

* For C2
r1_C2 in_C2 out_C2 'rshort'

* For C3
r1_C3 in_C3 out_C3 'rshort'

* For C7
r1_C7 in_C7 out_C7 'rshort'

* For C8
r1_C8 in_C8 out_C8 'rshort'

* For D7
r1_D7 in_D7 out_D7 'rshort'

* For E3
r1_E3 in_E3 out_E3 'rshort'

* For F2
r1_F2 in_F2 out_F2 'rshort'

* For F3
r1_F3 in_F3 out_F3 'rshort'

* For F7
r1_F7 in_F7 out_F7 'rshort'

* For F8
r1_F8 in_F8 out_F8 'rshort'

* For G2
r1_G2 in_G2 out_G2 'rshort'

* For G3
r1_G3 in_G3 out_G3 'rshort'

* For H3
r1_H3 in_H3 out_H3 'rshort'

* For H7
r1_H7 in_H7 out_H7 'rshort'

* For H8
r1_H8 in_H8 out_H8 'rshort'

* For J7
r1_J7 in_J7 out_J7 'rshort'

* For K7
r1_K7 in_K7 out_K7 'rshort'

* For N2
r1_N2 in_N2 out_N2 'rshort'

* For N3
r1_N3 in_N3 out_N3 'rshort'

* For P2
r1_P2 in_P2 out_P2 'rshort'

* For P3
r1_P3 in_P3 out_P3 'rshort'

* For P7
r1_P7 in_P7 out_P7 'rshort'

* For P8
r1_P8 in_P8 out_P8 'rshort'

* For R2
r1_R2 in_R2 out_R2 'rshort'

* For R8
r1_R8 in_R8 out_R8 'rshort'

** Powers
* For A1
r1_A1 in_A1 out_A1 'rshort'
r2_A1 in_A1 node_1_A1 'rpds'
c1_A1 node_1_A1 in_B1 'cpds'

* For B2
r1_B2 in_B2 out_B2 'rshort'
r2_B2 in_B2 node_1_B2 'rpds'
c1_B2 node_1_B2 in_A9 'cpds'

** Grounds
* For A9
* .connect in_A9 out_A9
* .connect in_A9 ngnd
* r_in_A9_ngnd  in_A9 ngnd 1e-5

* For B1
* .connect in_B1 out_B1
* .connect in_B1 ngnd
* r_in_B1_ngnd  in_B1 ngnd 1e-5

.ends Mem_Memory_OnDie_RC


.subckt Mem_Memory_Pin_RLC
+ in_A2     in_A3     in_A7     in_B7     in_B8     in_C2     in_C3     in_C7     in_C8
+ in_D7     in_E3     in_F2     in_F3     in_F7     in_F8     in_G2     in_G3     in_H3
+ in_H7     in_H8     in_J7     in_K7     in_N2     in_N3     in_P2     in_P3     in_P7
+ in_P8     in_R2     in_R8     in_A1     in_B2     in_A9     in_B1     out_A2     out_A3
+ out_A7     out_B7     out_B8     out_C2     out_C3     out_C7     out_C8     out_D7
+ out_E3     out_F2     out_F3     out_F7     out_F8     out_G2     out_G3     out_H3
+ out_H7     out_H8     out_J7     out_K7     out_N2     out_N3     out_P2     out_P3
+ out_P7     out_P8     out_R2     out_R8     out_A1     out_B2     out_A9     out_B1
* Package RLC Parameters
+ R_pkg = 1.0146
+ L_pkg = 7.151e-9
+ C_pkg = 3.058e-12

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the package parasitics based on the values of R_pin, L_pin and
* C_pin in the [Pin] section of the component 'Memory' in 'ddr_pba_ex.ibs' file.
* Editing of sub-circuit definition is NOT recommended.

** Signals
x_A2 in_A2 out_A2 in_B1 onpkg_RLC R_Pin=340.00m L_Pin=1.53nH C_Pin=0.52pF
x_A3 in_A3 out_A3 in_B1 onpkg_RLC R_Pin=260.00m L_Pin=1.29nH C_Pin=0.40pF
x_A7 in_A7 out_A7 in_B1 onpkg_RLC R_Pin=235.00m L_Pin=1.19nH C_Pin=0.38pF
x_B7 in_B7 out_B7 in_B1 onpkg_RLC R_Pin=245.00m L_Pin=1.18nH C_Pin=0.38pF
x_B8 in_B8 out_B8 in_B1 onpkg_RLC R_Pin=317.00m L_Pin=1.41nH C_Pin=0.49pF
x_C2 in_C2 out_C2 in_B1 onpkg_RLC R_Pin=301.00m L_Pin=1.30nH C_Pin=0.46pF
x_C3 in_C3 out_C3 in_B1 onpkg_RLC R_Pin=223.00m L_Pin=1.07nH C_Pin=0.36pF
x_C7 in_C7 out_C7 in_B1 onpkg_RLC R_Pin=225.00m L_Pin=1.09nH C_Pin=0.36pF
x_C8 in_C8 out_C8 in_B1 onpkg_RLC R_Pin=313.00m L_Pin=1.31nH C_Pin=0.47pF
x_D7 in_D7 out_D7 in_B1 onpkg_RLC R_Pin=209.00m L_Pin=0.96nH C_Pin=0.34pF
x_E3 in_E3 out_E3 in_B1 onpkg_RLC R_Pin=204.00m L_Pin=1.02nH C_Pin=0.33pF
x_F2 in_F2 out_F2 in_B1 onpkg_RLC R_Pin=285.00m L_Pin=1.30nH C_Pin=0.43pF
x_F3 in_F3 out_F3 in_B1 onpkg_RLC R_Pin=234.00m L_Pin=1.12nH C_Pin=0.37pF
x_F7 in_F7 out_F7 in_B1 onpkg_RLC R_Pin=198.00m L_Pin=0.96nH C_Pin=0.32pF
x_F8 in_F8 out_F8 in_B1 onpkg_RLC R_Pin=284.00m L_Pin=1.23nH C_Pin=0.44pF
x_G2 in_G2 out_G2 in_B1 onpkg_RLC R_Pin=284.00m L_Pin=1.23nH C_Pin=0.43pF
x_G3 in_G3 out_G3 in_B1 onpkg_RLC R_Pin=234.00m L_Pin=1.11nH C_Pin=0.37pF
x_H3 in_H3 out_H3 in_B1 onpkg_RLC R_Pin=194.00m L_Pin=0.93nH C_Pin=0.31pF
x_H7 in_H7 out_H7 in_B1 onpkg_RLC R_Pin=201.00m L_Pin=1.00nH C_Pin=0.33pF
x_H8 in_H8 out_H8 in_B1 onpkg_RLC R_Pin=271.00m L_Pin=1.15nH C_Pin=0.42pF
x_J7 in_J7 out_J7 in_A9 onpkg_RLC R_Pin=218.00m L_Pin=1.15nH C_Pin=0.34pF
x_K7 in_K7 out_K7 in_A9 onpkg_RLC R_Pin=215.00m L_Pin=1.24nH C_Pin=0.33pF
x_N2 in_N2 out_N2 in_A9 onpkg_RLC R_Pin=302.00m L_Pin=1.86nH C_Pin=0.45pF
x_N3 in_N3 out_N3 in_A9 onpkg_RLC R_Pin=214.00m L_Pin=1.14nH C_Pin=0.33pF
x_P2 in_P2 out_P2 in_A9 onpkg_RLC R_Pin=300.00m L_Pin=1.94nH C_Pin=0.44pF
x_P3 in_P3 out_P3 in_A9 onpkg_RLC R_Pin=231.00m L_Pin=1.53nH C_Pin=0.34pF
x_P7 in_P7 out_P7 in_A9 onpkg_RLC R_Pin=245.00m L_Pin=1.65nH C_Pin=0.37pF
x_P8 in_P8 out_P8 in_A9 onpkg_RLC R_Pin=323.00m L_Pin=2.07nH C_Pin=0.48pF
x_R2 in_R2 out_R2 in_A9 onpkg_RLC R_Pin=338.00m L_Pin=2.21nH C_Pin=0.50pF
x_R8 in_R8 out_R8 in_A9 onpkg_RLC R_Pin=346.00m L_Pin=2.32nH C_Pin=0.50pF

** Powers
* .connect in_A1 out_A1
* .connect in_B2 out_B2

** Grounds
* .connect in_A9 out_A9
* .connect in_A9 ngnd
* r_in_A9_ngnd  in_A9 ngnd 1e-5
* .connect in_B1 out_B1
* .connect in_B1 ngnd
* r_in_B1_ngnd  in_B1 ngnd 1e-5

.subckt onpkg_RLC in out ngnd
+ R_Pin=1.0146
+ L_Pin=7.151e-9
+ C_Pin=3.058e-12
r1 in 1 R_Pin
l1 1 out L_Pin
c1 out ngnd C_Pin
.ends onpkg_RLC

.ends Mem_Memory_Pin_RLC


.subckt Mem_Memory_PkgModel
+ in_A2     in_A3     in_A7     in_B7     in_B8     in_C2     in_C3     in_C7     in_C8
+ in_D7     in_E3     in_F2     in_F3     in_F7     in_F8     in_G2     in_G3     in_H3
+ in_H7     in_H8     in_J7     in_K7     in_N2     in_N3     in_P2     in_P3     in_P7
+ in_P8     in_R2     in_R8     in_A1     in_B2     in_A9     in_B1     out_A2     out_A3
+ out_A7     out_B7     out_B8     out_C2     out_C3     out_C7     out_C8     out_D7
+ out_E3     out_F2     out_F3     out_F7     out_F8     out_G2     out_G3     out_H3
+ out_H7     out_H8     out_J7     out_K7     out_N2     out_N3     out_P2     out_P3
+ out_P7     out_P8     out_R2     out_R8     out_A1     out_B2     out_A9     out_B1

* NOTE - This is the Topology Workbench generated sub-circuit definition
* Editing of sub-circuit definition is NOT recommended.

* .connect in_A2 out_A2
* .connect in_A3 out_A3
* .connect in_A7 out_A7
* .connect in_B7 out_B7
* .connect in_B8 out_B8
* .connect in_C2 out_C2
* .connect in_C3 out_C3
* .connect in_C7 out_C7
* .connect in_C8 out_C8
* .connect in_D7 out_D7
* .connect in_E3 out_E3
* .connect in_F2 out_F2
* .connect in_F3 out_F3
* .connect in_F7 out_F7
* .connect in_F8 out_F8
* .connect in_G2 out_G2
* .connect in_G3 out_G3
* .connect in_H3 out_H3
* .connect in_H7 out_H7
* .connect in_H8 out_H8
* .connect in_J7 out_J7
* .connect in_K7 out_K7
* .connect in_N2 out_N2
* .connect in_N3 out_N3
* .connect in_P2 out_P2
* .connect in_P3 out_P3
* .connect in_P7 out_P7
* .connect in_P8 out_P8
* .connect in_R2 out_R2
* .connect in_R8 out_R8
* .connect in_A1 out_A1
* .connect in_B2 out_B2
* .connect in_A9 out_A9
* .connect in_A9 ngnd
r_in_A9_ngnd  in_A9 ngnd 1e-5
* .connect in_B1 out_B1
* .connect in_B1 ngnd
r_in_B1_ngnd  in_B1 ngnd 1e-5

.ends Mem_Memory_PkgModel


